Windows ZIP Installer

Note: TimescaleDB requires PostgreSQL 12.0 or 13.2, or later

Prerequisites

Build and install

  1. Download the the .zip file for your PostgreSQL version - 12 or 13.
  2. Extract the zip file locally
  3. Run setup.exe, making sure that PostgreSQL is not currently running
  4. If successful, a cmd.exe window will pop open and you will see the following:
TimescaleDB installation completed succesfully.
Press ENTER/Return key to close...

Go ahead and press ENTER to close the window

Updating from TimescaleDB 1.x to 2.0

Once the latest TimescaleDB 2.0 are installed, you can update the EXTENSION in your database as discussed in Updating Timescale to 2.0.

Configure your database

There are a variety of settings that can be configured for your new database. At a minimum, you will need to update your postgresql.conf file to include our library in the parameter shared_preload_libraries. If you ran timescaledb-tune during the install, you are already done. If you did not, you can re-run the installer.

This will ensure that our extension is properly added to the parameter shared_preload_libraries as well as offer suggestions for tuning memory, parallelism, and other settings.

Then, restart the PostgreSQL instance.

tip

Our standard binary releases are licensed under the Timescale License, which allows to use all our capabilities. To build a version of this software that contains source code that is only licensed under Apache License 2.0, pass -DAPACHE_ONLY=1 to bootstrap.

Found an issue on this page?

Report an issue!

Keywords

Related Content